So you're a Noob? Post your questions here until you graduate! Don't be shy.
User avatar
By regpa
#76931 Hello,
I have to ESP8266EX, one answers OK to AT+CIOBAUD=9600 and the other answers ERROR to the same command.

The dialog with the later (not working) is as follows:

Code: Select allAT+CIOBAUD=9600

ERROR
AT+GMR
AT version:1.6.2.0(Apr 13 2018 11:10:59)
SDK version:2.2.1(6ab97e9)
compile time:Jun  7 2018 19:34:27
Bin version(Wroom 02):1.6.2
OK


The dialog with the former (working) is as folows:

Code: Select allAT+CIOBAUD=9600

OK
AT+GMR
AT version:1.2.0.0(Jul  1 2016 20:04:45)
SDK version:1.5.4.1(39cb9a32)
Ai-Thinker Technology Co. Ltd.
Nov  7 2017 16:43:45
OK


I see that the versions are more recent for the later than for the former, but beyond this I am lost :roll: , is anyone having a track to follow ?

thank you for any hint !
User avatar
By btidey
#76951 Commands vary between different versions of AT firmware

Try AT+IPR instead, or better still stop using AT firmware and load your own application onto the ESP module.
User avatar
By regpa
#76965
btidey wrote:Commands vary between different versions of AT firmware

Try AT+IPR instead, or better still stop using AT firmware and load your own application onto the ESP module.


Thanks a lot for your answer, I will follow your advise, but for that I need to work as I am a newbe.
by the way the command that works for this new AT software version is AT+UART_DEF :D